Bug 165510 - WebAssembly: Make more demos run
Summary: WebAssembly: Make more demos run
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Saam Barati
URL:
Keywords: InRadar
Depends on: 165118
Blocks: 161709
  Show dependency treegraph
 
Reported: 2016-12-06 20:24 PST by JF Bastien
Modified: 2017-03-10 18:04 PST (History)
9 users (show)

See Also:


Attachments
WIP (22.14 KB, patch)
2017-03-09 13:36 PST, Saam Barati
no flags Details | Formatted Diff | Diff
WIP (34.74 KB, patch)
2017-03-09 17:21 PST, Saam Barati
no flags Details | Formatted Diff | Diff
WIP (49.30 KB, patch)
2017-03-09 18:05 PST, Saam Barati
no flags Details | Formatted Diff | Diff
patch (60.48 KB, patch)
2017-03-09 19:39 PST, Saam Barati
keith_miller: review+
Details | Formatted Diff | Diff
patch for landing (61.72 KB, patch)
2017-03-10 14:02 PST, Saam Barati
no flags Details | Formatted Diff | Diff
patch for landing (61.11 KB, patch)
2017-03-10 14:06 PST, Saam Barati
sbarati: commit-queue-
Details | Formatted Diff | Diff
patch for landing (61.12 KB, patch)
2017-03-10 16:18 PST, Saam Barati
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description JF Bastien 2016-12-06 20:24:27 PST
WebAssemblyModuleRecord::link has a FIXME to implement it.
Comment 1 Radar WebKit Bug Importer 2016-12-20 14:28:51 PST
<rdar://problem/29760310>
Comment 2 Yusuke Suzuki 2017-03-07 00:36:13 PST
Seems like this error is raised now in http://webassembly.org/demo/.
Comment 3 Saam Barati 2017-03-09 13:36:06 PST
Created attachment 303980 [details]
WIP

need to add some tests.
Comment 4 Saam Barati 2017-03-09 17:18:13 PST
This demo now runs for me:
https://kripken.github.io/BananaBread/cube2/bb.html
Comment 5 Saam Barati 2017-03-09 17:21:23 PST
Created attachment 304013 [details]
WIP
Comment 6 Saam Barati 2017-03-09 18:05:43 PST
Created attachment 304017 [details]
WIP

I think it's done. Just need some tests now for the wrapper function I added.
Comment 7 Saam Barati 2017-03-09 19:39:06 PST
Created attachment 304023 [details]
patch
Comment 8 WebKit Commit Bot 2017-03-09 19:42:02 PST
Attachment 304023 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/wasm/js/JSWebAssemblyTable.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 22 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Keith Miller 2017-03-10 11:49:45 PST
Comment on attachment 304023 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=304023&action=review

r=me.

> Source/JavaScriptCore/wasm/WasmB3IRGenerator.cpp:1064
> +    RELEASE_ASSERT(toSave.numberOfSetGPRs() == toSaveSize);

I'm not sure this needs to be a release assert.
Comment 10 Saam Barati 2017-03-10 14:02:41 PST
Created attachment 304072 [details]
patch for landing
Comment 11 Saam Barati 2017-03-10 14:06:53 PST
Created attachment 304073 [details]
patch for landing
Comment 12 WebKit Commit Bot 2017-03-10 16:09:20 PST
Attachment 304073 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/wasm/js/JSWebAssemblyTable.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 23 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 Saam Barati 2017-03-10 16:18:33 PST
Created attachment 304091 [details]
patch for landing
Comment 14 WebKit Commit Bot 2017-03-10 16:20:27 PST
Attachment 304091 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/wasm/js/JSWebAssemblyTable.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 23 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 WebKit Commit Bot 2017-03-10 18:04:40 PST
Comment on attachment 304091 [details]
patch for landing

Clearing flags on attachment: 304091

Committed r213745: <http://trac.webkit.org/changeset/213745>
Comment 16 WebKit Commit Bot 2017-03-10 18:04:45 PST
All reviewed patches have been landed.  Closing bug.